Bug 179013 - (xen-vm86) Kudzu fails on boot with a SEGV in vm86_old()
Kudzu fails on boot with a SEGV in vm86_old()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Quintela
Virtualization Bugs
:
: 182165 182220 182248 182362 (view as bug list)
Depends On:
Blocks: 179599
  Show dependency treegraph
 
Reported: 2006-01-26 11:11 EST by Stephen Tweedie
Modified: 2009-12-14 15:38 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 17:56:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Tweedie 2006-01-26 11:11:49 EST
Description of problem:
Booting with a dom0 Xen kernel, Kudzu SEGVs on boot.  strace shows vm86_old()
returning a SEGV.  The same syscall on a non-dom0 kernel works fine.

Version-Release number of selected component (if applicable):
kudzu-1.2.20-1
kernel-xen-hypervisor-2.6.15-1.29_FC5

How reproducible:
100%

Steps to Reproduce:
1. Boot kernel-xen-hypervisor.
  
Actual results:
SEGV in kudzu.

Expected results:
No SEGV.
Comment 1 Bill Nottingham 2006-02-03 10:26:24 EST
Happens with vbetool (another lrmi/vm86 user) as well.
Comment 2 Bill Nottingham 2006-02-20 15:55:28 EST
*** Bug 182165 has been marked as a duplicate of this bug. ***
Comment 3 Bill Nottingham 2006-02-21 12:06:49 EST
*** Bug 182248 has been marked as a duplicate of this bug. ***
Comment 4 Bill Nottingham 2006-02-21 12:08:30 EST
*** Bug 182220 has been marked as a duplicate of this bug. ***
Comment 5 Bill Nottingham 2006-02-22 13:01:28 EST
*** Bug 182362 has been marked as a duplicate of this bug. ***
Comment 6 Lonni J Friedman 2006-02-22 13:14:43 EST
For the sake of clarity, I'm not using a xen kernel at all when I hit this bug,
and I'm seeing it on x86_64 (not using x86).
Comment 7 Bill Nottingham 2006-02-22 13:16:17 EST
Then you are seeing bug 181467, and the second person in bug 182362 is seeing
this bug. Sorry about that.
Comment 8 Leslie Satenstein 2006-03-11 09:24:24 EST
Ever since the Initial patch following the Core5 install, KUDZU with XEN has
been producing a segmentation fault in XEN boot. 

2.6.15-1.1955_FC5hypervisor
root@localhost ~]# rpm -qa "kudzu*"
kudzu-1.2.34.1-1
kudzu-devel-1.2.34.1-1

Hardware is ambios: AMD SEMPTRON Processor (32bit). Installed memory 756megs.
Two hard disks. Maxtor.
Comment 9 Leslie Satenstein 2006-03-11 23:25:28 EST
After March 11, 2006 Core5 test3 updates, kudzu now locks up solidly. In order
to boot the system, I have to enter interactive startup mode and bypass kudzu
initialisation. Note the kudzu version has changed. to 1.2.34.2-1


kudzu-devel-1.2.34.2-1
kudzu-1.2.34.2-1
[root@localhost ~]#



Comment 10 Stephen Tweedie 2006-03-13 10:10:17 EST
Leslie, which kernel is this with exactly?  With today's rawhide:
kudzu-1.2.34.2-1
kernel-smp-2.6.15-1.2041_FC5.i686
kernel-xen0-2.6.15-1.2041_FC5.i686

...I have no such trouble, neither with the smp nor xen0 kernel.
Comment 11 Leslie Satenstein 2006-03-13 16:29:31 EST
Please look to the top of this bug report. I will paste it hear again. I guess
you missed seeing it.

2.6.15-1.1955_FC5hypervisor
root@localhost ~]# rpm -qa "kudzu*"
kudzu-1.2.34.1-1
kudzu-devel-1.2.34.1-1

Hardware is ambios: AMD SEMPTRON Processor (32bit). Installed memory 756megs.
Two hard disks. Maxtor.

The Fc5hypervisor is what uname -r provided.
Comment 12 Stephen Tweedie 2006-03-13 17:22:31 EST
No, yuo said that you were seeing the kudzu segv with that kernel.  You didn't
supply exact versions for the different behaviour (hangs) after the "March 11
updates": and the 1955 kernel is now *old*.

Note that the most recent rawhide kernels are named kernel-xen0, not
kernel-xen-hypervisor, so you may want to "yum install kernel-xen0" to make sure
you have the most recent one picked up.

We really need to see behavior reported with a more recent kernel to take this
much further.

Thanks,
 Stephen
Comment 13 Wilson 2006-03-28 01:42:10 EST
I have the exact same problem
Running Fedora Core 5 - did complete updates a few minutes ago.
Asus mother board(latest bios)
1 Gig ram
ATI 4800 video AGP

Let me know if you get any new news on this.

Thanks

WilsonB@pobox.com


(In reply to comment #9)
> After March 11, 2006 Core5 test3 updates, kudzu now locks up solidly. In order
> to boot the system, I have to enter interactive startup mode and bypass kudzu
> initialisation. Note the kudzu version has changed. to 1.2.34.2-1
> 
> 
> kudzu-devel-1.2.34.2-1
> kudzu-1.2.34.2-1
> [root@localhost ~]#
> 
> 
> 
> 

Comment 14 Johan Kröckel 2006-04-26 17:50:45 EDT
I have the same problems.
What can I do to help?
My satem is fully updatet and i have a sis-741 chipset with onboard-video-card.
Comment 15 David Wilburn 2006-06-19 13:38:43 EDT
Same issues Asus A8N Deluxe motherboard with AMD chipset
[root@stormbringer init.d]# ./kudzu start
Checking for hardware changes./kudzu: line 23:  2313 Segmentation fault     
/sbin/kudzu $KUDZU_ARGS
                                                           [FAILED]
[root@stormbringer init.d]# rpm -qa "kudzu*"
kudzu-1.2.34.3-1
[root@stormbringer init.d]# uname -r
2.6.16-1.2133_FC5
Comment 16 Red Hat Bugzilla 2007-07-24 21:30:01 EDT
change QA contact
Comment 17 Chris Lalancette 2008-02-26 17:56:42 EST
This report targets FC5, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.